[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTabControl.TabRect

Gets the client rectangle for the specified tab adjusted to the parent.

## Declaration

Source position: comctrls.pp line 476

`public function TCustomTabControl.TabRect(`
`AIndex: Integer`
`):TRect;`

## Function result

TRect instance with the client rectangle for the specified tab.

## Description

TabRect is a TRect function used to get the rectangle for the tab specified in the AIndex argument.

TabRect calls the GetTabRect in the widget instance to get the return value for the method. The values in the rectangle are adjusted to reflect the client coordinates relative to the Parent for the control.

If the handle has not been allocated for the widget, the return value is a rectangle where the Left, Top, Bottom, and Right members are all set to -1.